Bug 1873043 - Bump to latest available 1.19.x k8s
Summary: Bump to latest available 1.19.x k8s
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Tomáš Nožička
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 08:54 UTC by Maciej Szulik
Modified: 2020-09-22 14:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 728 None closed Bug 1873043: Bump to kube 1.19.0 2020-09-21 14:12:08 UTC
Github openshift apiserver-library-go pull 34 None closed Bug 1873043: Bump to kube 1.19.0 2020-09-21 14:12:07 UTC
Github openshift client-go pull 159 None closed Bug 1873043: Bump to kube 1.19.0 2020-09-21 14:12:07 UTC
Github openshift kubernetes pull 325 None closed Bug 1873043: Rebase 1.19.0 2020-09-22 14:51:47 UTC
Github openshift kubernetes pull 337 None closed Bug 1873043: Enable k8s-e2e-gcp-serial 2020-09-21 14:12:07 UTC
Github openshift kubernetes pull 349 None closed Bug 1873043: Commit test/e2e/generated/bindata.go 2020-09-21 14:12:07 UTC
Github openshift kubernetes pull 351 None closed Bug 1873043: Commit openapi definitions 2020-09-22 14:51:51 UTC
Github openshift kubernetes pull 360 None None None 2020-09-21 14:11:52 UTC
Github openshift kubernetes pull 361 None open [WIP] Bug 1873043: Rebase to 1.19.2 2020-09-22 08:58:43 UTC
Github openshift kubernetes pull 366 None open Bug 1873043: Update README.openshift to reflect transition to openshift/kubernetes 2020-09-22 14:52:18 UTC
Github openshift library-go pull 872 None closed Bug 1873043: Bump to kube 1.19.0 2020-09-21 14:12:07 UTC
Github openshift origin pull 25382 None closed Bug 1873043: Revise test annotation to reuse rules+code from openshift/kubernetes 2020-09-21 14:12:07 UTC
Github openshift origin pull 25495 None closed Bug 1873043: Bump to kube 1.19.0 2020-09-22 17:07:19 UTC

Description Maciej Szulik 2020-08-27 08:54:46 UTC

Comment 3 Maciej Szulik 2020-08-27 10:37:00 UTC
Leaving this in post until we get all the prs in.

Comment 5 Maru Newby 2020-08-31 21:38:07 UTC
This bz does not require QA. It exists only to allow merging of 1.19 bump PRs to the repos that need them.

Comment 7 Maru Newby 2020-09-10 19:03:38 UTC
Nothing for QA to do here that won't be covered as part of the regular testing regime. This bz is process-only, to ensure the bot allows us to merge bumps post-feature freeze.

Comment 9 Maru Newby 2020-09-11 15:43:01 UTC
This needs to continue targeting 4.6 to ensure that the bot considers it valid for merging to 4.6. There are still PRs that will merge against this, likely right up to freeze (including further patch release rebases).

Comment 11 Maru Newby 2020-09-16 19:22:51 UTC
Planning on using this for 1.19.2

Comment 12 Maru Newby 2020-09-21 14:13:27 UTC
Reassigning to Tomas who is doing the 1.19.2 rebase.


Note You need to log in before you can comment on or make changes to this bug.